# OpenLayers.Popup.Anchored

#### Inherits from

- OpenLayers.Popup

Summary

OpenLayers.Popup.Anchored |
Properties |
keepInMap | {Boolean} If panMapIfOutOfView is false, and this property is true, contrain the popup such that it always fits in the available map space.
Constructor |
OpenLayers.Popup.Anchored |
Functions |
destroy |
show | Overridden from Popup since user might hide popup and then show() it in a new location (meaning we might want to update the relative position on the show)
setSize |

### Properties

### keepInMap

{Boolean} If panMapIfOutOfView is false, and this property is true, contrain the popup such that it always fits in the available map space. By default, this is set. If you are creating popups that are near map edges and not allowing pannning, and especially if you have a popup which has a fixedRelativePosition, setting this to false may be a smart thing to do.

For anchored popups, default is true, since subclasses will usually want this functionality.

### Constructor

### OpenLayers.Popup.Anchored

#### Parameters

id | {String}
lonlat | {OpenLayers.LonLat}
contentSize | {OpenLayers.Size}
contentHTML | {String}
anchor | {Object} Object which must expose a ‘size’ OpenLayers.Size and ‘offset’ OpenLayers.Pixel (generally an OpenLayers.Icon).
closeBox | {Boolean}
closeBoxCallback | {Function} Function to be called on closeBox click.

### Functions

### destroy

> destroy: function()

### show

> show: function()

Overridden from Popup since user might hide popup and then show() it in a new location (meaning we might want to update the relative position on the show)

### setSize

> setSize:function( | contentSize | )

#### Parameters

contentSize | {OpenLayers.Size} the new size for the popup’s contents div (in pixels).

> destroy: function()

> show: function()

Overridden from Popup since user might hide popup and then show() it in a new location (meaning we might want to update the relative position on the show)

> setSize:function( | contentSize | )

A popup is a small div that can opened and closed on the map.
This class represents a longitude and latitude pair
Instances of this class represent a width/height pair
This class represents a screen coordinate, in x and y coordinates
The icon represents a graphical icon on the screen.
Close